summaryrefslogtreecommitdiff
path: root/postfix
diff options
context:
space:
mode:
authorJonas Smedegaard <dr@jones.dk>2003-07-20 20:16:18 +0000
committerJonas Smedegaard <dr@jones.dk>2003-07-20 20:16:18 +0000
commitd1818849f96c8f8a5d70627b60a705e019691645 (patch)
tree27e7ffc20802b0adad111e0e2c1bced80589dfbf /postfix
parent5e9d817f3a58204153ffe7e38954ffcc146602b6 (diff)
Correct embarrassing wrong grep logic.
Diffstat (limited to 'postfix')
-rwxr-xr-xpostfix/postfix.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/postfix/postfix.sh b/postfix/postfix.sh
index 4ff4970..b4aaa95 100755
--- a/postfix/postfix.sh
+++ b/postfix/postfix.sh
@@ -3,7 +3,7 @@
# /etc/local-COMMON/postfix/postfix.sh
# Copyright 2002-2003 Jonas Smedegaard <dr@jones.dk>
#
-# $Id: postfix.sh,v 1.21 2003-07-20 20:13:42 jonas Exp $
+# $Id: postfix.sh,v 1.22 2003-07-20 20:16:18 jonas Exp $
#
# Auto-tweak plain installed postfix Debian package
#
@@ -124,12 +124,12 @@ if [ -x /usr/sbin/amavisd -o -x /usr/sbin/amavisd-new ]; then
for mail in virus-quarantine virusalert spam-quarantine spamalert; do
touch /var/lib/amavis/mboxes/$mail
chown nobody.nogroup /var/lib/amavis/mboxes/$mail
- if grep -vq "^$mail:" /etc/aliases; then
+ if ! grep -q "^$mail:" /etc/aliases; then
echo "$mail: /var/lib/amavis/mboxes/$mail" >> /etc/aliases
newaliases
fi
done
- if grep -vq "^spam.police:" /etc/aliases; then
+ if ! grep -q "^spam.police:" /etc/aliases; then
echo "spam.police: root" >> /etc/aliases
newaliases
fi